Batch operations
curl --request POST \
--url https://www.dench.com/api/v1/crm/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ops": [
{
"type": "entries.create",
"objectName": "people",
"data": {
"Name": "Jane"
}
}
],
"idempotencyKey": "import-2026-06-01"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ops: [{type: 'entries.create', objectName: 'people', data: {Name: 'Jane'}}],
idempotencyKey: 'import-2026-06-01'
})
};
fetch('https://www.dench.com/api/v1/crm/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/batch"
payload = {
"ops": [
{
"type": "entries.create",
"objectName": "people",
"data": { "Name": "Jane" }
}
],
"idempotencyKey": "import-2026-06-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"entryId": "ent_lead101"
},
{
"entryId": "ent_lead99",
"deleted": true
}
],
"count": 2
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}crm
Batch operations
Apply a CRM batch.
POST
/
crm
/
batch
Batch operations
curl --request POST \
--url https://www.dench.com/api/v1/crm/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ops": [
{
"type": "entries.create",
"objectName": "people",
"data": {
"Name": "Jane"
}
}
],
"idempotencyKey": "import-2026-06-01"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ops: [{type: 'entries.create', objectName: 'people', data: {Name: 'Jane'}}],
idempotencyKey: 'import-2026-06-01'
})
};
fetch('https://www.dench.com/api/v1/crm/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/batch"
payload = {
"ops": [
{
"type": "entries.create",
"objectName": "people",
"data": { "Name": "Jane" }
}
],
"idempotencyKey": "import-2026-06-01"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"results": [
{
"entryId": "ent_lead101"
},
{
"entryId": "ent_lead99",
"deleted": true
}
],
"count": 2
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Body
application/json
⌘I